void O97DstTest(const char *inFileStr  = "test.f19",
		const char *outFileStr = "O97DstTest.root") {
  std::cout << "******************" << std::endl
	    << "*                *" << std::endl
	    << "*  O97Dst Start  *" << std::endl
	    << "*                *" << std::endl
	    << "******************" << std::endl;

  //
  // Load libraries
  //
  std::cout << "Loading libraries..." << std::endl;
  gROOT->LoadMacro("$STAR/StRoot/StMuDSTMaker/COMMON/macros/loadSharedLibraries.C");
  loadSharedLibraries();
  gSystem->Load("libMinuit");
  gSystem->Load("StMuDSTMaker");
  gSystem->Load("StChain");
  gSystem->Load("StRefMultCorr");
  gSystem->Load("StFlowMaker");
  gSystem->Load("StFlowAnalysisMaker");
  gSystem->Load("StHbtMaker");
  gSystem->Load("StarClassLibrary");
  gSystem->Load("StFemtoDstMaker");
  std::cout << "Libraries have been successfully loaded" << std::endl;
  
  //
  // Create chain
  //
  StChain *chain = new StChain("StChain");
  chain->SetDebug(0);

  //
  // Create StO97DstMaker
  //
  StO97DstMaker *oscar = new StO97DstMaker(inFileStr, outFileStr);
  chain->Init();

  while (!oscar->IsStop()) {
    chain->Make();
    chain->Clear();
  }

  chain->Finish();
  delete chain;

  std::cout << "******************" << std::endl
	    << "*                *" << std::endl
	    << "*   O97DstTest   *" << std::endl
	    << "*     Finish     *" << std::endl
	    << "*                *" << std::endl
	    << "******************" << std::endl;
}
